Skip to main content
POST
/
dimensions
/
{id}
cURL
curl -X POST https://api.growthbook.io/api/v1/dimensions/dim_123abc \
  -d '{"name":"User Region"}' \
  -u secret_abc123DEF456:
{
  "dimension": {
    "id": "<string>",
    "dateCreated": "<string>",
    "dateUpdated": "<string>",
    "owner": "<unknown>",
    "datasourceId": "<string>",
    "identifierType": "<string>",
    "name": "<string>",
    "query": "<string>",
    "description": "<string>",
    "managedBy": ""
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Body

application/json
name
string

Name of the dimension

description
string

Description of the dimension

owner
any
datasourceId
string

ID of the datasource this dimension belongs to

identifierType
string

Type of identifier (user, anonymous, etc.)

query
string

SQL query or equivalent for the dimension

managedBy
enum<string>

Where this dimension must be managed from. If not set (empty string), it can be managed from anywhere.

Available options:
,
api

Response

200 - application/json

Success

dimension
object
required